%define upstream_name    Unicode-LineBreak
%define upstream_version 2019.001

%{?filter_setup:
%filter_from_requires /perl(Unicode::LineBreak::Constants)/d
%filter_from_provides /^perl(Unicode::LineBreak)$/d
}
%{?perl_default_filter}
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}perl\\(Unicode::LineBreak::Constants\\)
%global __provides_exclude %{?__provides_exclude:%__provides_exclude|}^perl\\(Unicode::LineBreak\\)$

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10
Epoch:      1

Summary:    UAX #14 Unicode Line Breaking Algorithm
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Unicode/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:     perl-Unicode-LineBreak-CVE-2016-1238.patch

BuildRequires: perl(Encode) >= 1.980.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.260.0
BuildRequires: perl(MIME::Charset)
BuildRequires: perl(Test::More) >= 0.450.0
BuildRequires: perl-devel
%description
Text::LineFold folds or unfolds lines of plain text. As it mainly focuses
on plain text e-mail messages, RFC 3676 flowed format is also supported.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc ARTISTIC Changes GPL META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorarch}/*


%changelog
* Tue Nov 28 2023 tv <tv> 1:2019.1.0-10.mga10
+ Revision: 2010543
- Rebuild for perl-5.38

* Tue Jun 07 2022 umeabot <umeabot> 1:2019.1.0-9.mga9
+ Revision: 1862956
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 1:2019.1.0-8.mga9
+ Revision: 1796250
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 1:2019.1.0-7.mga9
+ Revision: 1727694
- Rebuild for perl 5.34

* Thu Jun 18 2020 umeabot <umeabot> 1:2019.1.0-6.mga8
+ Revision: 1595668
- Rebuild for perl 5.32

* Sat Feb 15 2020 umeabot <umeabot> 1:2019.1.0-5.mga8
+ Revision: 1528847
- Mageia 8 Mass Rebuild

* Mon Aug 26 2019 tmb <tmb> 1:2019.1.0-4.mga8
+ Revision: 1432750
- rebuild for perl 5.30

* Sun Dec 30 2018 tv <tv> 1:2019.1.0-3.mga7
+ Revision: 1347005
- new release

* Fri Sep 21 2018 umeabot <umeabot> 1:2018.3.0-3.mga7
+ Revision: 1293904
- Mageia 7 Mass Rebuild

* Sun Aug 05 2018 tmb <tmb> 1:2018.3.0-2.mga7
+ Revision: 1247619
- rebuild for perl 5.28

* Thu Mar 29 2018 tv <tv> 1:2018.3.0-1.mga7
+ Revision: 1213430
- update to 2018.003

* Tue Oct 03 2017 tv <tv> 1:2017.4.0-3.mga7
+ Revision: 1167222
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 1:2017.4.0-2.mga7
+ Revision: 1149961
- Rebuild for perl ABI changes

* Sun Jul 23 2017 shlomif <shlomif> 1:2017.4.0-1.mga7
+ Revision: 1128997
- update to 2017.004

* Sat Jul 22 2017 neoclust <neoclust> 1:2016.3.0-4.mga7
+ Revision: 1126692
- Rebuild against new Perl 5.26

* Thu Apr 27 2017 neoclust <neoclust> 1:2016.3.0-3.mga6
+ Revision: 1097812
- Add P0 - Fixes CVE-2016-1238 (mga#19051)

* Sun Jun 19 2016 pterjan <pterjan> 1:2016.3.0-2.mga6
+ Revision: 1035446
- Rebuild for perl 5.22.2

* Fri Apr 15 2016 shlomif <shlomif> 1:2016.3.0-1.mga6
+ Revision: 1002329
- update to 2016.003

* Sat Jan 16 2016 shlomif <shlomif> 1:2015.120.0-1.mga6
+ Revision: 924078
- update to 2015.12

* Fri Jun 26 2015 tv <tv> 1:2015.60.0-2.mga6
+ Revision: 845438
- rebuild for soname-ifed perl

* Tue Jun 23 2015 sander85 <sander85> 1:2015.60.0-1.mga6
+ Revision: 841323
- update to 2015.06

* Wed Oct 15 2014 umeabot <umeabot> 1:2014.60.0-5.mga5
+ Revision: 746502
- Second Mageia 5 Mass Rebuild

* Wed Sep 24 2014 tv <tv> 1:2014.60.0-4.mga5
+ Revision: 723179
- add excludes

* Tue Sep 23 2014 tv <tv> 1:2014.60.0-3.mga5
+ Revision: 722275
- add excludes

* Tue Sep 16 2014 umeabot <umeabot> 1:2014.60.0-2.mga5
+ Revision: 686789
- Mageia 5 Mass Rebuild

* Sat Jun 21 2014 sander85 <sander85> 1:2014.60.0-1.mga5
+ Revision: 638370
- update to 2014.06

* Tue Jun 03 2014 pterjan <pterjan> 1:2013.110.0-2.mga5
+ Revision: 631824
- Rebuild for perl 5.20

* Sat Feb 08 2014 sander85 <sander85> 1:2013.110.0-1.mga5
+ Revision: 585991
- update to 2013.11

* Sat Oct 19 2013 umeabot <umeabot> 1:2012.100.0-5.mga4
+ Revision: 525072
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 1:2012.100.0-4.mga4
+ Revision: 431826
- perl 5.18.0 rebuild

* Wed May 29 2013 jquelin <jquelin> 1:2012.100.0-3.mga4
+ Revision: 431274
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1:2012.100.0-2.mga3
+ Revision: 374613
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 03 2012 jquelin <jquelin> 1:2012.100.0-1.mga3
+ Revision: 302408
- update to 2012.10

* Tue Jun 05 2012 jquelin <jquelin> 1:2012.60.0-1.mga3
+ Revision: 255568
- update to 2012.06

* Wed May 30 2012 jquelin <jquelin> 1:2012.20.0-2.mga3
+ Revision: 251286
- rebuild for perl 5.16

* Tue Mar 06 2012 jquelin <jquelin> 1:2012.20.0-1.mga2
+ Revision: 219838
- update to 2012.02

* Thu Jan 05 2012 jquelin <jquelin> 1:2011.120.0-1.mga2
+ Revision: 191336
- update to 2011.12

* Sat Nov 05 2011 kharec <kharec> 1:2011.110.0-1.mga2
+ Revision: 163535
- update to 2011.11

* Wed Jun 15 2011 jquelin <jquelin> 1:2011.50.0-1.mga2
+ Revision: 107543
- update to 2011.05

* Sun Jun 12 2011 sander85 <sander85> 1:2011.40.0-2.mga2
+ Revision: 105094
- Rebuild for perl 5.14

* Mon Apr 04 2011 jquelin <jquelin> 1:2011.40.0-1.mga1
+ Revision: 80392
- update to 2011.04

* Thu Mar 24 2011 jquelin <jquelin> 1:2011.3.21-1.mga1
+ Revision: 76672
- update to 2011.03.21

* Thu Mar 10 2011 jquelin <jquelin> 1:2011.3.5-1.mga1
+ Revision: 67438
- bump epoch - damned upstream version
- update to 2011.03.05

* Wed Feb 16 2011 jquelin <jquelin> 2011.10.0-1.mga1
+ Revision: 52374
- update to 2011.01

* Sat Jan 22 2011 jquelin <jquelin> 1.11.0-1.mga1
+ Revision: 32533
- mageia rebuild
- imported package perl-Unicode-LineBreak

